Subject: bug#16484: closed (Re: bug#16484: Contradictory package count)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 24 Jan 2014 21:12:02 +0000

Your bug report

#16484: Contradictory package count

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16484: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16484
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16484: Contradictory package count
From: [email-masked] (Ludovic Courtès)
To: Andreas Enge <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Jan 2014 22:11:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Andreas Enge <[email-masked]> skribis:

> On Sat, Jan 18, 2014 at 04:39:06PM +0100, Ludovic Courtès wrote:
>> The issue is that the ‘65 packages’ lines comes from the build side log
>> (which doesn’t know the distinction between propagated inputs and the
>> rest), while the ‘51 packages’ line comes from ‘guix package’.
>> 
>> Perhaps the log should say ‘65 items’, to make it clear it’s not
>> counting the same thing.
>> 
>> Alternately, we could also remove that line altogether.
>
> Maybe we could remove both lines even? But I am happy with removing only
> one, then preferably the "65 packages" one, which is not coherent with
>    guix package -I|wc

I removed the “wrong” one, and kept the other.

Thanks!

Ludo’.

Subject: Contradictory package count
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jan 2014 13:00:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

installing a few packages, I get the following output:

...
building profile '/nix/store/ylq6xn1599wfph4n6caw7kdd5wds4x9n-profile' with 65 packages......
51 packages in profile

The difference is, I think, that I consciously installed 51 packages, while
the remaining 14 ones are pulled in as propagated-inputs. Could the output be
made uniform, in either sense?

Andreas